Endpoints
List tasks
GET
/
v1
/
tasks
Error
A valid request URL is required to generate request examples{
"tasks": [
{
"id": "<string>",
"title": "<string>",
"status": "queued",
"projectId": "<string>",
"model": {
"slug": "<string>",
"fast": true,
"effort": "low"
},
"pendingInteraction": {
"id": "<string>",
"type": "question",
"prompt": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
A personal API key created in Adam. Send it as Authorization: Bearer <key>.
Query Parameters
Available options:
queued, running, awaiting_input, completed, cancelled, failed Opaque cursor returned by the previous page
Minimum string length:
1Required range:
1 <= x <= 50Last modified on August 26, 2026
⌘I
Error
A valid request URL is required to generate request examples{
"tasks": [
{
"id": "<string>",
"title": "<string>",
"status": "queued",
"projectId": "<string>",
"model": {
"slug": "<string>",
"fast": true,
"effort": "low"
},
"pendingInteraction": {
"id": "<string>",
"type": "question",
"prompt": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}